<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Transiciones CSS</title>
        <style>
            body {
                display: flex;
                height: 100vh;
                justify-content: center;
                align-items: center;
            }
			.pelota{
				width: 100px;
				height: 100px;
				border-radius: 50%;
				/*transition-property: width, height;
				transition-duration: 1s;
				transition-delay: 1s;
				transition-timing-function: ease; */
                transition: 1s;
                position: absolute;
                display: flex;
                align-items: center;
                justify-content: center;
                color: white;

			}
            .pelota.a {
			background-color: cornflowerblue;
            left: 0;
            }
            .pelota.b{
            background-color: chocolate;
            right: 0;
            }
			.canasta {
                border: 1px solid darkslateblue;
                position: relative;
                height: 100px;
                width: 100%;
            }
            .canasta:hover .pelota.a {
                left: calc(50% - 100px);
            }
            .canasta:hover .pelota.b {
                right: calc(50% - 100px);
            }
		</style>
</head>
<body>
    <div class="canasta">
        <div class="pelota a">Hola</div>
        <div class="pelota b">Mundo</div>
    </div>
</body>
</html>